curl --request GET \
--url https://thirdparty.qonto.com/v2/quotes/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://thirdparty.qonto.com/v2/quotes/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://thirdparty.qonto.com/v2/quotes/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "4d5418bb-bd0d-4df4-865c-c07afab8bb48",
"organization_id": "4d5418bb-bd0d-4df4-865c-c07afab8bb48",
"number": "Q-2024-001",
"status": "pending_approval",
"currency": "EUR",
"total_amount": {
"value": "240.00",
"currency": "EUR"
},
"total_amount_cents": 24000,
"vat_amount": {
"value": "40.00",
"currency": "EUR"
},
"vat_amount_cents": 4000,
"issue_date": "2024-01-15",
"expiry_date": "2024-02-15",
"created_at": "2024-01-15T10:30:00Z",
"items": [
{
"title": "Consulting services",
"description": "Monthly consulting services",
"quantity": "2.5",
"unit": "hour",
"vat_rate": "0.2",
"vat_exemption_reason": "N1",
"unit_price": {
"value": "100.00",
"currency": "EUR"
},
"unit_price_cents": 10000,
"total_amount": {
"value": "200.00",
"currency": "EUR"
},
"total_amount_cents": 20000,
"total_vat": {
"value": "40.00",
"currency": "EUR"
},
"total_vat_cents": 4000,
"subtotal": {
"value": "160.00",
"currency": "EUR"
},
"subtotal_cents": 16000,
"discount": {
"type": "percentage",
"value": "<string>",
"amount": {
"value": "<string>",
"currency": "<string>"
},
"amount_cents": 123
}
}
],
"client": {
"id": "33v418bb-bd0d-4df4-865c-c07afab8bb48",
"name": "McDonald's",
"first_name": "Jane",
"last_name": "Doe",
"type": "individual",
"email": "client@qonto.com",
"vat_number": "FR32123456789",
"tax_identification_number": "123456789",
"address": "1 place de l’Opéra",
"city": "Paris",
"zip_code": "75009",
"province_code": "<string>",
"country_code": "fr",
"recipient_code": "<string>",
"locale": "fr",
"billing_address": {
"street_address": "123 Main Street",
"city": "Paris",
"zip_code": "75009",
"province_code": "<string>",
"country_code": "FR"
},
"delivery_address": {
"street_address": "123 Main Street",
"city": "Paris",
"zip_code": "75009",
"province_code": "<string>",
"country_code": "FR"
}
},
"organization": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"legal_name": "<string>",
"legal_number": "<string>",
"legal_country": "<string>",
"address_line_1": "<string>",
"address_line_2": "<string>",
"address_zipcode": "<string>",
"address_city": "<string>",
"address_country": "<string>",
"company_leadership": "Jan Mueller",
"district_court": "Munich",
"commercial_register_number": "HRB12345B",
"vat_number": "FR123456789",
"tax_number": "123/123/1234",
"legal_capital_share": {
"value": "10000.00",
"currency": "EUR"
},
"transaction_type": "goods",
"vat_payment_condition": "on_receipts"
},
"attachment_id": "4d5418bb-bd0d-4df4-865c-c07afab8bb48",
"quote_url": "https://portal.qonto.com/quotes/00000000-0000-0000-0000-000000000000",
"electronic_signature_url": "https://pay.qonto.com/quotes/00000000-0000-0000-0000-000000000000/signing/00000000-0000-0000-0000-000000000001",
"contact_email": "contact@qonto.com",
"terms_and_conditions": "This is an example.",
"header": "This is an example.",
"footer": "This is an example.",
"discount": {
"type": "percentage",
"value": "10",
"amount": {
"value": "20.00",
"currency": "EUR"
},
"amount_cents": 2000
},
"approved_at": "2024-01-16T14:22:00Z",
"canceled_at": "2024-01-17T09:15:00Z",
"welfare_fund": {
"type": "TC22",
"rate": "0.1",
"amount": "10.00"
},
"withholding_tax": {
"reason": "RT01",
"rate": "0.1",
"amount": "10.00",
"payment_reason": "M1"
},
"stamp_duty_amount": "0.10",
"invoice_ids": [
"4d5418bb-bd0d-4df4-865c-c07afab8bb48"
]
}Retrieve a quote
OAuth scope: client_invoices.read
Retrieves the quote identified by the id path parameter.
Authorizations
Bearer authorization header: Bearer <token>, where <token> is the access token received from the authorization server at the end of the OAuth 2.0 flow.
Headers
Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.
Path Parameters
The unique identifier of the quote.
Response
Returns the quote identified by the id path parameter.
Quote ID
"4d5418bb-bd0d-4df4-865c-c07afab8bb48"
Organization ID
"4d5418bb-bd0d-4df4-865c-c07afab8bb48"
Quote number
"Q-2024-001"
Quote status
pending_approval, approved, canceled "pending_approval"
Currency code (ISO 4217 format, alpha 3)
"EUR"
Total amount of the quote
Show child attributes
Show child attributes
Total amount in cents
24000
VAT amount of the quote
Show child attributes
Show child attributes
VAT amount in cents
4000
Issue date (YYYY-MM-DD)
"2024-01-15"
Expiry date (YYYY-MM-DD)
"2024-02-15"
Creation timestamp
"2024-01-15T10:30:00Z"
Quote line items
Show child attributes
Show child attributes
Client that needs to pay the invoice.
Show child attributes
Show child attributes
Information of the organization at the time the document was issued.
Show child attributes
Show child attributes
Attachment ID for the quote PDF
"4d5418bb-bd0d-4df4-865c-c07afab8bb48"
Public URL to view the quote
"https://portal.qonto.com/quotes/00000000-0000-0000-0000-000000000000"
URL for the client to electronically sign the quote. Only present when a signature request is active and the client has not yet signed. Once the client signs, this field is no longer returned.
"https://pay.qonto.com/quotes/00000000-0000-0000-0000-000000000000/signing/00000000-0000-0000-0000-000000000001"
Organization contact email
"contact@qonto.com"
Terms and conditions text
"This is an example."
Header text for the quote
"This is an example."
Footer text for the quote
"This is an example."
Global discount applied to the quote
Show child attributes
Show child attributes
Approval timestamp (if approved)
"2024-01-16T14:22:00Z"
Cancellation timestamp (if canceled)
"2024-01-17T09:15:00Z"
Welfare fund details (Italian specific)
Show child attributes
Show child attributes
Withholding tax details (Italian specific)
Show child attributes
Show child attributes
Stamp duty amount (Italian specific)
"0.10"
IDs of invoices created from this quote
Was this page helpful?